summaryrefslogtreecommitdiff
path: root/media-sound
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2009-11-23 10:37:40 +0200
committerGluzskiy Alexandr <sss123next@list.ru>2009-11-23 10:37:40 +0200
commitf891fa6d13c9b5e84ead4a4e818879f06672d50c (patch)
tree26e1820780dcfaed6a6a35b63c092518d13291a4 /media-sound
parentba3c2358a41976b1e471b75feee0a93dbc297f49 (diff)
new file: app-cdr/binflash/binflash-1.47a.ebuild
new file: app-mobilephone/kmobiletools/files/kmobiletools-0.5.0_beta3-no-automagic-deps.patch new file: app-mobilephone/kmobiletools/kmobiletools-0.5.0_beta3.ebuild new file: media-libs/babl/babl-0.9999.ebuild new file: media-libs/gegl/gegl-0.9999.ebuild new file: media-libs/libtheora/libtheora-9999.ebuild new file: media-sound/gmpc/gmpc-9999.ebuild
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/gmpc/gmpc-9999.ebuild68
1 files changed, 68 insertions, 0 deletions
diff --git a/media-sound/gmpc/gmpc-9999.ebuild b/media-sound/gmpc/gmpc-9999.ebuild
new file mode 100644
index 0000000..da67fe0
--- /dev/null
+++ b/media-sound/gmpc/gmpc-9999.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=2
+inherit autotools git gnome2-utils
+
+DESCRIPTION="A GTK+2 client for the Music Player Daemon."
+HOMEPAGE="http://gmpcwiki.sarine.nl/index.php/GMPC"
+EGIT_REPO_URI="git://repo.or.cz/gmpc.git"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~ppc-macos ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE="nls +session xspf"
+
+RDEPEND=">=dev-libs/glib-2.10:2
+ dev-perl/XML-Parser
+ >=gnome-base/libglade-2.3
+ >=media-libs/libmpd-0.17.1
+ net-libs/libsoup:2.4
+ net-misc/curl
+ dev-lang/vala
+ >=x11-libs/gtk+-2.12:2
+ x11-libs/libsexy
+ session? ( x11-libs/libSM )
+ xspf? ( >=media-libs/libxspf-1.2 )"
+DEPEND="${RDEPEND}
+ dev-util/gob
+ dev-util/intltool
+ dev-util/pkgconfig
+ sys-devel/gettext"
+
+#src_prepare() {
+# #einfo "Running intltoolize --automake"
+# intltoolize --automake || die "intltoolize failed"
+# #eautoreconf
+#}
+
+src_unpack() {
+ git_src_unpack
+}
+
+src_configure() {
+ econf \
+ $(use_enable session sm) \
+ $(use_enable xspf libxspf) \
+ --enable-system-libsexy \
+ --disable-shave \
+ --with-extra-version="`git rev-parse ${EGIT_BRANCH} | cut -c 1-8`"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}